
#ifndef _AHW_AL_ADM1176_H_
#define _AHW_AL_ADM1176_H_

#include <stdlib.h>
#include "exo_hal_common.h"

hal_ret_sts ahw_al_vdp_m24c16_init(ahw_al_ext_mem_hdl *al_em_h);
hal_ret_sts ahw_vdp_m24c16_eeprom_write(ahw_al_ext_mem_hdl *al_em_h, uint32_t address, uint8_t *data, uint32_t size);
hal_ret_sts ahw_vdp_m24c16_eeprom_read(ahw_al_ext_mem_hdl *al_em_h, uint32_t address, uint8_t *data, uint32_t size);
hal_ret_sts ahw_vdp_m24c16_eeprom_erase_full_chip(ahw_al_ext_mem_hdl *al_em_h);



#endif
